=== debian/control ===
Source: tracetuner
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/tracetuner
Vcs-Git: https://salsa.debian.org/med-team/tracetuner.git
Homepage: https://sourceforge.net/projects/tracetuner/

Package: tracetuner
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: interpretation of DNA Sanger sequencing data
 Tracetuner is a tool for base and quality calling of trace files from
 DNA sequencing instruments.
 Traditional DNA sequencing yields curves from four different 
 channels or light frequencies that human or (preferably) machines
 are interpreting to determine the actual base (A,C,G or T) and
 the confidence with which this is determined.
 .
 TraceTuner is a DNA sequencing quality value, base calling and trace
 processing software application originally developed by Paracel,
 Inc. While providing a flexible interface and capability to adopt
 the "pure" base calls produced by Phred, KB or any other "original"
 caller, it offers competitive features not currently available in other
 tools, such as customized calibration of quality values, advanced
 heterozygote and mixed base calling and deconvolving the "mixed"
 electropherograms resulting from the presence of indels into a couple of
 "pure" electropherograms.
 .
 Later versions
 Previous versions of TraceTuner were used by
 Celera Genomics to process over 27 million reads from both Drosophila
 and human genome projects.
 In 2000, Applied Biosystems
 bundled TraceTuner with ABI3700 Genome Analyzers and shipped it to the
 customers of these capillary electrophoresis sequencers.
 its SNP detection and genotyping software product SeqScape.
 .
 TraceTuner implements an advanced peak processing technology for resolving
 overlapping peaks of the same dye color into individual, or "intrinsic"
 peaks. TraceTuner, for its support of mixed base calling, have been used by
 the research community, the private biotech sector, and the U.S. government
 as components of different variant detection, genotyping and forensic
 software applications (e.g. Applied Biosystems SeqScape, Paracel Genome
 Assembler, MTexpert, etc.).
 .
 This technology was protected by US Patent #6,681,186. Currently,
 TraceTuner is an open source software, which has been used by J. Craig
 Venter Institute's DNA Sequencing and Resequencing pipelines.
 .
 This package prepares an important piece of human history to be used
 with new data on new machines or to revisit older observations..
