=== debian/changelog ===
tracetuner (3.0.6~beta+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Add patch to fixup FTBFS with gcc-15 (Closes: #1098011)
  * Extend fix_format_security.patch to trainphd.c

 -- Nilesh Patra <nilesh@debian.org>  Sun, 21 Sep 2025 00:59:49 +0530

tracetuner (3.0.6~beta+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 23:43:55 +0100

tracetuner (3.0.6~beta+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Do not hard code build architecture compiler
    Closes: #926607

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 10 Apr 2019 14:47:38 +0200

tracetuner (3.0.6~beta+dfsg-1) unstable; urgency=medium

  * Team upload
  * Initial release (Closes: #911850)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Oct 2018 20:36:33 +0200
