=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/tracetuner
 Vcs-Git: https://salsa.debian.org/med-team/tracetuner.git
 Homepage: https://sourceforge.net/projects/tracetuner/
+Rules-Requires-Root: no
 
 Package: tracetuner
 Architecture: any
@@ -17,7 +18,7 @@
 Description: interpretation of DNA Sanger sequencing data
  Tracetuner is a tool for base and quality calling of trace files from
  DNA sequencing instruments.
- Traditional DNA sequencing yields curves from four different 
+ Traditional DNA sequencing yields curves from four different
  channels or light frequencies that human or (preferably) machines
  are interpreting to determine the actual base (A,C,G or T) and
  the confidence with which this is determined.
