=== debian/watch ===
version=4

opts="uversionmangle=s%(\d[\d.]*)(alpha|beta)%$1~$2%,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  http://sf.net/tracetuner/ tracetuner_(.*)\.tar\.bz2
